package com.css.simulation.resource.scheduler.web.controller;

import com.css.simulation.resource.scheduler.common.util.ProjectUtil;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RefreshScope
@RestController
@RequestMapping("/node")
public class NodeController {
    @Resource
    private ProjectUtil projectUtil;


    /**
     * 修改任务状态
     */
    @PostMapping("/resetParallelism")
    public void re() {
        projectUtil.resetNodeParallelism();
    }
}
